## ftgl 2.0.9

=== unix/src/Makefile ===
top_srcdir=../..
VPATH=$(top_srcdir)/src
top_builddir=..
-include $(top_builddir)/Make.conf

TARGET = libftgl.la

all: $(TARGET)

SRCS =				\
	FTBitmapGlyph.cpp	\
	FTCharmap.cpp		\
	FTContour.cpp		\
	FTExtrdGlyph.cpp	\
	FTFace.cpp		\
	FTFont.cpp		\
	FTGLBitmapFont.cpp	\
	FTGLExtrdFont.cpp	\
	FTGLOutlineFont.cpp	\
	FTGLPixmapFont.cpp	\
	FTGLPolygonFont.cpp	\
	FTGLTextureFont.cpp	\
	FTGlyph.cpp		\
	FTGlyphContainer.cpp	\
	FTLibrary.cpp		\
	FTOutlineGlyph.cpp	\
	FTPixmapGlyph.cpp	\
	FTPoint.cpp		\
	FTPolyGlyph.cpp		\
	FTSize.cpp		\
	FTTextureGlyph.cpp	\
	FTVectoriser.cpp

HEADERS =			\
	FTBBox.h		\
	FTBitmapGlyph.h		\
	FTCharToGlyphIndexMap.h	\
	FTCharmap.h		\
	FTContour.h		\
	FTExtrdGlyph.h		\
	FTFace.h		\
	FTFont.h		\
	FTGL.h			\
	FTGLBitmapFont.h	\
	FTGLExtrdFont.h		\
	FTGLOutlineFont.h	\
	FTGLPixmapFont.h	\
	FTGLPolygonFont.h	\
	FTGLTextureFont.h	\
	FTGlyph.h		\
	FTGlyphContainer.h	\
	FTLibrary.h		\
	FTList.h		\
	FTOutlineGlyph.h	\
	FTPixmapGlyph.h		\
	FTPoint.h		\
	FTPolyGlyph.h		\
	FTSize.h		\
	FTTextureGlyph.h	\
	FTVector.h		\
	FTVectoriser.h

HEADER_FILES = $(addprefix $(top_srcdir)/include/,$(HEADERS))

LOBJS = $(patsubst %.cpp,%.lo,$(SRCS))
OBJS = $(patsubst %.cpp,%.$(OBJEXT),$(SRCS))

ALL_OBJS = $(LOBJS) $(OBJS)

CXXFLAGS += $(FT2_CFLAGS) $(GL_CFLAGS)
LIBS += $(FT2_LIBS) $(GL_LIBS)

libftgl.la: $(LOBJS)

install-local: libftgl.la
	$(INSTALL) -d -m 0755 $(libdir)
	$(LIBTOOL) --mode=install $(INSTALL) -m 0644 $(TARGET) $(libdir)
    $(INSTALL) -d -m 0755 $(includedir)/FTGL
    $(INSTALL) -m 0644 $(HEADER_FILES) $(includedir)/FTGL


clean-local:
	$(RM) $(ALL_OBJS)

distclean-local:
	$(RM) $(TARGET)
	$(RM) -r .libs ii_files

include $(top_builddir)/Make.rules

## ftgl 2.1.3~rc5

=== debian/changelog ===
ftgl (2.1.3~rc5-4+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS at generation of pdf doc (Closes: #718100).
  * Switch to multiarch (Closes: #734159), but don't mark the -dev package
    as such, as it was not tested as such.
  * Include debian/watch from Nick Black (Closes: #697863).
  * Update libtool at build time using dh-autoreconf, in order to fix a
    build failure on x32 (Daniel Schepler, Closes: #701732).

 -- Yann Dirson <dirson@debian.org>  Sun, 05 Jan 2014 17:20:22 +0100

ftgl (2.1.3~rc5-4) unstable; urgency=low

  * drop doxygen and texlive-* (except texlive-fonts-recommended) and
    add doxygen-latex as a build dependency (Closes: #616215), patch
    courtesy of Mònica Ramírez Arceda <monica@probeta.net>.
  * debian/rules: add required libraries to GLUT_LIBS to build with
    binutils-gold (Closes: #554413).
  * debian/patches/patch-ftglgetlayoutbbox-typo.diff: fix a typo in the
    C bindings, courtesy of Wesley Hirsch (Closes: #580451).
  * Also, I don’t want this package to be orphaned! (Closes: #648650).

 -- Sam Hocevar <sho@debian.org>  Sat, 26 Nov 2011 11:02:46 +0100

ftgl (2.1.3~rc5-3) unstable; urgency=low

  * Change package format to 3.0 (quilt).
  * debian/control:
    + epstopdf was moved to texlive-font-utils, build-depending on it
      instead of texlive-extra-utils (Closes: #562315).
    + Set policy to 3.8.3.
    + Add ${misc:Depends} to all package dependencies.

 -- Sam Hocevar <sho@debian.org>  Sun, 03 Jan 2010 14:00:17 +0100

ftgl (2.1.3~rc5-2) unstable; urgency=low

  * debian/rules:
    + Make the package parralel-build safe. Thanks to Paul Wise for the hint.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 16 Jun 2008 14:32:00 +0000

ftgl (2.1.3~rc5-1) unstable; urgency=low

  * New development snapshot.
  * API is now stable, uploading to unstable.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 15 Jun 2008 17:12:15 +0200

ftgl (2.1.3~rc4-1) experimental; urgency=low

  * New development snapshot.
  * debian/control:
    + Set policy to 3.8.0.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 09 Jun 2008 11:56:12 +0000

ftgl (2.1.3~rc3-2) experimental; urgency=low

  * debian/control:
    + Build-depend on texlive-latex-recommended and texlive-fonts-recommended
      so that a4.sty, a4wide.sty and the appropriate fonts are present.
    + Build-depend on ghostscript because texlive-extra-utils only recommends
      it (despite shipping eps2pdf).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 12 May 2008 11:55:15 +0000

ftgl (2.1.3~rc3-1) experimental; urgency=low

  * New development snapshot.
  * debian/control: build-depend on doxygen, imagemagick, texlive-latex-base,
    texlive-base-bin, texlive-extra-utils to build documentation
    (Closes: #480048).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 11 May 2008 22:27:30 +0000

ftgl (2.1.3~rc2-1) experimental; urgency=low

  * New development snapshot. Fixes a few upstream bugs.

  * debian/control: build-depend on libcppunit-dev to fix an FTBFS
    (Closes: #479356).
  * debian/libftgl-dev.examples: add the simple demos as examples.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 07 May 2008 07:24:51 +0000

ftgl (2.1.3~rc1-1) experimental; urgency=low

  * Snapshot from upstream's development tree, targeted at experimental so
    that people can try dynamically linking with libftgl.
  * Ship full HTML documentation (Closes: #257155).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 30 Apr 2008 12:15:11 +0000

ftgl (2.1.2-4) unstable; urgency=low

  * New maintainer (Closes: #471983).

  * debian/control:
    + Do not build-depend on g++ (Closes: #268594).
    + Changed 'libglut3-dev | glutg3-dev' build-dependency to freeglut3-dev
      (Closes: #394492).
    + Uncapitalised short description.
    + Set policy to 3.7.3.
    + Add Vcs control fields.

  * debian/rules:
    + Use debian/compat instead of DH_COMPAT.
    + Use quilt for patch management.

  * debian/patches/000_package_version.diff:
    + New patch. Fix the version string in .pc files (Closes: #274400).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 12 Apr 2008 09:00:51 +0000

ftgl (2.1.2-3) unstable; urgency=low

  * src/FTVectoriser.cpp, unix/config.guess, unix/config.sub: patch and
    update for GNU/kFreeBSD.  Thanks Petr Salinger.  closes: bug#340720
  * include/FTTextureGlyph.h: funny bug.  Remove class qualification
    from static method declaration.  Thanks Martin Michlmayr.  closes:
    bug#355744
  * unix/ftgl.pc.in: hack to include -I/usr/include/FTGL in the include
    flags.  Thanks Jonathan Brandmeyer.  closes: bug#257660
  * debian/control: {build}-depend on libGLU.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Fri, 28 Apr 2006 11:44:43 -0600

ftgl (2.1.2-2) unstable; urgency=low

  * debian/control: (build-)?depend on xlibmesa-gl-dev | libgl-dev.
    Thanks Matthias.  Closes: bug#311282.
  * debian/rules: build a _pic library, just like the X packages do.
    (closes: bug# 315330)
  * Please note that the previous change means that the packages that
    build shared libraries which include FTGL are _broken_ now.  These
    include gem and vtk, perhaps blender.
  * debian/control: change libstdc++-dev dependency to g++.  g++ is an
    actual package, libstdc++-dev is a virtual one.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat, 02 Jul 2005 18:39:41 -0600

ftgl (2.1.2-1) unstable; urgency=low

  * New Upstream Release.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Mon, 20 Dec 2004 21:07:44 -0600

ftgl (2.0.9-1) unstable; urgency=low

  * New upstream release
  * Ack NMU (closes: bug#226956)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Mon, 17 May 2004 15:43:09 -0600

ftgl (2.0.7-1.1) unstable; urgency=low

  * NMU: recompiled with -fPIC, which is needed for building gem
    (closes: #226956)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Sun, 29 Feb 2004 17:38:49 +0100



=== debian/control ===
Source: ftgl
Section: libs
Priority: optional
Maintainer: Sam Hocevar <sho@debian.org>
Build-Depends: debhelper (>= 8.1.3), quilt, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, libfreetype6-dev (>> 2.0.9), doxygen-latex, freeglut3-dev, libcppunit-dev, imagemagick, texlive-fonts-recommended, ghostscript, dh-autoreconf
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/sam-hocevar/pkg-misc/unstable/ftgl
Vcs-Browser: http://svn.debian.org/wsvn/sam-hocevar/pkg-misc/unstable/ftgl/

Package: libftgl-dev
Section: libdevel
Architecture: any
Depends: libftgl2 (= ${binary:Version}), libfreetype6-dev (>> 2.0.9), libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, ${shlibs:Depends}, ${misc:Depends}
Conflicts: ftgl-dev (<< 2.1.3~rc1)
Replaces: ftgl-dev (<< 2.1.3~rc1)
Description: development files for libftgl
 FTGL binds OpenGL and FreeType together in order to offer and easy to use
 and flexible text rendering library.  It offers several rendering modes:
 as polygons, outlines, bitmaps and textures.
 .
 This package contains the header files and static libraries needed to
 compile applications or shared objects that use libftgl.

Package: libftgl2
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: library to render text in OpenGL using FreeType
 FTGL binds OpenGL and FreeType together in order to offer and easy to use
 and flexible text rendering library.  It offers several rendering modes:
 as polygons, outlines, bitmaps and textures.
 .
 This package contains the shared library for libftgl.

Package: ftgl-dev
Section: oldlibs
Architecture: all
Depends: libftgl-dev, ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package.  If nothing depends on it, this
 package can be safely removed.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CFLAGS = -Wall -g

DTMPDIR = $(CURDIR)/debian/tmp

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	QUILT_PATCHES=debian/patches quilt push -a || test $$? = 2
	dh_autoreconf
	./configure --prefix=/usr --mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
	touch $@

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE) CFLAGS="$(CFLAGS)" GLUT_LIBS="$(GLUT_LIBS) -lglut -lGLU -lGL -lm"
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	QUILT_PATCHES=debian/patches quilt pop -a -R || test $$? = 2
	dh_autoreconf_clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	$(MAKE) install DESTDIR=$(DTMPDIR)
	mv debian/tmp/usr/share/doc/ftgl debian/tmp/usr/share/doc/libftgl-dev
	dh_install --list-missing --sourcedir=debian/tmp

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -i ChangeLog
	dh_installdocs -i
	dh_installexamples -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a ChangeLog
	dh_installdocs -a
	dh_installexamples -a
#	dh_installdebconf -a
#	dh_installmenu -a
#	dh_installinfo -a
	dh_installman -a
#	dh_undocumented -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -p libftgl2 -V 'libftgl2 (>= 2.1.3~rc5)'
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
opts=uversionmangle=s/-/~/ \
http://sf.net/ftgl/ftgl-([-\d\.rc]+)\.tar\.gz

## ftgl 2.4.0

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)

PROJECT(FTGL)
SET(CMAKE_MODULE_PATH ${FTGL_SOURCE_DIR})

SET(VERSION_SERIES 2)
SET(VERSION_MAJOR 4)
SET(VERSION_MINOR 0)
SET(FTGL_SOVERSION 1)

FIND_PACKAGE(Freetype REQUIRED) # if it fails, check this: https://bugs.launchpad.net/ubuntu/+source/cmake/+bug/826988
FIND_PACKAGE(OpenGL   REQUIRED)

INCLUDE_DIRECTORIES(${PROJECT_SOURCE_DIR}/src)
INCLUDE_DIRECTORIES(${PROJECT_SOURCE_DIR}/src/FTFont)
INCLUDE_DIRECTORIES(${PROJECT_SOURCE_DIR}/src/FTGL)
INCLUDE_DIRECTORIES(${PROJECT_SOURCE_DIR}/src/FTGlyph)
INCLUDE_DIRECTORIES(${PROJECT_SOURCE_DIR}/src/FTLayout)
INCLUDE_DIRECTORIES(${FREETYPE_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${OPENGL_INCLUDE_DIR})

IF(NOT CMAKE_BUILD_TYPE)
  SET(CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel." FORCE)
ENDIF(NOT CMAKE_BUILD_TYPE)

# Allow the developer to select if Dynamic or Static libraries are built
OPTION(BUILD_SHARED_LIBS "Build Shared Libraries" ON)
IF(BUILD_SHARED_LIBS)
 	SET(LIB_TYPE SHARED)
	ADD_DEFINITIONS(-DFTGL_LIBRARY)
ELSE(BUILD_SHARED_LIBS)
	SET(LIB_TYPE STATIC)
	ADD_DEFINITIONS(-D FTGL_LIBRARY_STATIC)
ENDIF(BUILD_SHARED_LIBS)

ADD_CUSTOM_TARGET(doc)

FIND_PACKAGE(Doxygen)
IF(DOXYGEN_FOUND)
  ADD_CUSTOM_TARGET(doxygen
    ${DOXYGEN_EXECUTABLE}
    WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
    COMMENT "Doxygen ...")
  ADD_DEPENDENCIES(doc doxygen)

ENDIF(DOXYGEN_FOUND)

SUBDIRS(src)

FIND_PACKAGE(CxxTest)
IF(CxxTest_FOUND)
	OPTION(BUILD_TESTS "Build Unit Tests" ON)
	IF(BUILD_TESTS)
	  SUBDIRS(test)
	ENDIF(BUILD_TESTS)
ENDIF(CxxTest_FOUND)

configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/FTGLConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/FTGLConfig.cmake"
  @ONLY)
configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/FTGLConfig-install.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/CMakeFiles/FTGLConfig.cmake"
  @ONLY)

if (WIN32)
  set(cmakedir cmake)
else ()
  set(cmakedir lib/cmake/FTGL)
endif ()

install(EXPORT FTGL-targets DESTINATION "${cmakedir}")
install(
  FILES       "${CMAKE_CURRENT_BINARY_DIR}/CMakeFiles/FTGLConfig.cmake"
  DESTINATION "${cmakedir}")

=== src/CMakeLists.txt ===



INCLUDE_DIRECTORIES(${PROJECT_SOURCE_DIR}/cmake)


ADD_DEFINITIONS(-DPACKAGE_VERSION="${VERSION_SERIES}.${VERSION_MAJOR}.${VERSION_MINOR}")

IF(WIN32)
	ADD_DEFINITIONS(-D_USE_MATH_DEFINES)
ENDIF()

SET(libftgl_la_SOURCES
    FTBuffer.cpp
    FTCharmap.cpp
    FTCharmap.h
    FTCharToGlyphIndexMap.h
    FTCleanup.cpp
    FTCleanup.h
    FTContour.cpp
    FTContour.h
    FTFace.cpp
    FTFace.h
    FTGL.cpp
    FTGlyphContainer.cpp
    FTGlyphContainer.h
    FTInternals.h
    FTLibrary.cpp
    FTLibrary.h
    FTList.h
    FTPoint.cpp
    FTSize.cpp
    FTSize.h
    FTVector.h
    FTVectoriser.cpp
    FTVectoriser.h
    FTUnicode.h
)

SET(ftgl_headers
    FTGL/ftgl.h
    FTGL/FTLibrary.h
    FTGL/FTBBox.h
    FTGL/FTBuffer.h
    FTGL/FTPoint.h
    FTGL/FTGlyph.h
    FTGL/FTBitmapGlyph.h
    FTGL/FTBufferGlyph.h
    FTGL/FTExtrdGlyph.h
    FTGL/FTOutlineGlyph.h
    FTGL/FTPixmapGlyph.h
    FTGL/FTPolyGlyph.h
    FTGL/FTTextureGlyph.h
    FTGL/FTFont.h
    FTGL/FTGLBitmapFont.h
    FTGL/FTBufferFont.h
    FTGL/FTGLExtrdFont.h
    FTGL/FTGLOutlineFont.h
    FTGL/FTGLPixmapFont.h
    FTGL/FTGLPolygonFont.h
    FTGL/FTGLTextureFont.h
    FTGL/FTGLTriangleExtractorFont.h
    FTGL/FTLayout.h
    FTGL/FTSimpleLayout.h
)

SET(ftglyph_sources
    FTGlyph/FTGlyph.cpp
    FTGlyph/FTGlyphImpl.h
    FTGlyph/FTGlyphGlue.cpp
    FTGlyph/FTBitmapGlyph.cpp
    FTGlyph/FTBitmapGlyphImpl.h
    FTGlyph/FTBufferGlyph.cpp
    FTGlyph/FTBufferGlyphImpl.h
    FTGlyph/FTExtrudeGlyph.cpp
    FTGlyph/FTExtrudeGlyphImpl.h
    FTGlyph/FTOutlineGlyph.cpp
    FTGlyph/FTOutlineGlyphImpl.h
    FTGlyph/FTPixmapGlyph.cpp
    FTGlyph/FTPixmapGlyphImpl.h
    FTGlyph/FTPolygonGlyph.cpp
    FTGlyph/FTPolygonGlyphImpl.h
    FTGlyph/FTTextureGlyph.cpp
    FTGlyph/FTTextureGlyphImpl.h
    FTGlyph/FTTriangleExtractorGlyph.cpp
    FTGlyph/FTTriangleExtractorGlyphImpl.h
)

SET(ftfont_sources
    FTFont/FTFont.cpp
    FTFont/FTFontImpl.h
    FTFont/FTFontGlue.cpp
    FTFont/FTBitmapFont.cpp
    FTFont/FTBitmapFontImpl.h
    FTFont/FTBufferFont.cpp
    FTFont/FTBufferFontImpl.h
    FTFont/FTExtrudeFont.cpp
    FTFont/FTExtrudeFontImpl.h
    FTFont/FTOutlineFont.cpp
    FTFont/FTOutlineFontImpl.h
    FTFont/FTPixmapFont.cpp
    FTFont/FTPixmapFontImpl.h
    FTFont/FTPolygonFont.cpp
    FTFont/FTPolygonFontImpl.h
    FTFont/FTTextureFont.cpp
    FTFont/FTTextureFontImpl.h
    FTFont/FTTriangleExtractorFont.cpp
    FTFont/FTTriangleExtractorFontImpl.h
)

SET(ftlayout_sources
    FTLayout/FTLayout.cpp
    FTLayout/FTLayoutImpl.h
    FTLayout/FTLayoutGlue.cpp
    FTLayout/FTSimpleLayout.cpp
    FTLayout/FTSimpleLayoutImpl.h
)


ADD_LIBRARY(ftgl ${libftgl_la_SOURCES} ${ftgl_headers} ${ftglyph_sources} ${ftfont_sources} ${ftlayout_sources})
TARGET_LINK_LIBRARIES(ftgl
	${FREETYPE_LIBRARIES}
	${OPENGL_LIBRARIES}
)

IF(NOT BUILD_SHARED_LIBS)
	TARGET_LINK_LIBRARIES(ftgl ${OPENGL_LIBRARIES})
ENDIF()

SET_TARGET_PROPERTIES(
    ftgl
  PROPERTIES
    VERSION ${VERSION_SERIES}.${VERSION_MAJOR}.${VERSION_MINOR}
	SOVERSION ${FTGL_SOVERSION}
    DEBUG_POSTFIX "d"
)

INSTALL(TARGETS   ftgl                         	  
    EXPORT  FTGL-targets
	RUNTIME DESTINATION bin
    LIBRARY DESTINATION lib
    ARCHIVE DESTINATION lib
)

FILE(GLOB files "${CMAKE_CURRENT_SOURCE_DIR}/FTGL/*.h")
INSTALL(FILES ${files} DESTINATION ${CMAKE_INSTALL_PREFIX}/include/FTGL)

=== test/CMakeLists.txt ===

FIND_PACKAGE(CxxTest  REQUIRED)
FIND_PACKAGE(GLUT     REQUIRED)

SET(CXXTEST_USE_PYTHON TRUE)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})
INCLUDE_DIRECTORIES(${PROJECT_SOURCE_DIR}/src)
INCLUDE_DIRECTORIES(${PROJECT_SOURCE_DIR}/cmake)
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})
INCLUDE_DIRECTORIES(${CXXTEST_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${CXXTEST_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${GLUT_INCLUDE_DIR})

ADD_DEFINITIONS(-D HAVE_GL_GLUT_H)

FIND_PATH(GOOD_FONT_FILE_DIR  Ubuntu-R.ttf PATHS /usr/share/fonts/truetype/ubuntu-font-family)
FIND_PATH(ARIAL_FONT_FILE_DIR arial.ttf    PATHS /usr/share/fonts/truetype/msttcorefonts)
FIND_PATH(GOOD_FONT_FILE_DIR  times.ttf    PATHS /usr/share/fonts/truetype/msttcorefonts)

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/Fontdefs.h.in ${CMAKE_CURRENT_BINARY_DIR}/Fontdefs.h)

ENABLE_TESTING()

ADD_EXECUTABLE(FTGL_testsC CTest.c)
TARGET_LINK_LIBRARIES(FTGL_testsC
   ftgl
#	cppunit
	${FREETYPE_LIBRARIES}
	${OPENGL_LIBRARIES}
	${GLUT_LIBRARIES}
)

SET_TARGET_PROPERTIES(FTGL_testsC
  PROPERTIES
    VERSION ${VERSION_SERIES}.${VERSION_MAJOR}.${VERSION_MINOR}
	SOVERSION ${FTGL_SOVERSION}
   DEBUG_POSTFIX "d"
)

#ADD_CUSTOM_COMMAND(TARGET FTGL_testsC POST_BUILD COMMAND FTGL_testsC)


SET(CXXTest_SOURCES
#    $(DEACTIVATED)
    CXXTest.cpp
#    Fontdefs.h
#    FTBBox-Test.cpp
#    FTBitmapFont-Test.cpp
    FTBitmapGlyph-Test.cpp
    FTCharmap-Test.cpp
    FTCharToGlyphIndexMap-Test.cpp
#    FTContour-Test.cpp
    FTExtrudeFont-Test.cpp
    FTExtrudeGlyph-Test.cpp
##    FTFace-Test.cpp
#    FTFont-Test.cpp
#    FTGlyph-Test.cpp
    FTGlyphContainer-Test.cpp
    FTlayout-Test.cpp
    FTLibrary-Test.cpp
    FTList-Test.cpp
    FTMesh-Test.cpp
    FTOutlineFont-Test.cpp
    FTOutlineGlyph-Test.cpp
    FTPixmapFont-Test.cpp
    FTPixmapGlyph-Test.cpp
    FTPoint-Test.cpp
    FTPolygonFont-Test.cpp
    FTPolygonGlyph-Test.cpp
#    FTSize-Test.cpp
    FTTesselation-Test.cpp
#    FTTextureFont-Test.cpp
    FTTextureGlyph-Test.cpp
#    FTVectoriser-Test.cpp
    FTVector-Test.cpp
    HPGCalc_afm.cpp
    HPGCalc_pfb.cpp

	FTTriangleExtract-Test.cpp
)

#CXXTEST_ADD_TEST(FTGL_tests ${CXXTest_SOURCES})

#CXXTEST_ADD_TEST(FTGL_tests FTBBox-Test.cpp)


ADD_EXECUTABLE(FTGL_tests ${CXXTest_SOURCES})
TARGET_LINK_LIBRARIES(FTGL_tests
   ftgl
	cppunit
	${FREETYPE_LIBRARIES}
	${OPENGL_LIBRARIES}
	${GLUT_LIBRARIES}
)

SET_TARGET_PROPERTIES(FTGL_tests
  PROPERTIES
    VERSION ${VERSION_SERIES}.${VERSION_MAJOR}.${VERSION_MINOR}
	SOVERSION ${FTGL_SOVERSION}
   DEBUG_POSTFIX "d"
)

ADD_CUSTOM_COMMAND(TARGET FTGL_tests POST_BUILD COMMAND FTGL_tests)

ADD_EXECUTABLE(demo demo.cpp)
TARGET_LINK_LIBRARIES(demo
   ftgl
	${FREETYPE_LIBRARIES}
	${OPENGL_LIBRARIES}
	${GLUT_LIBRARIES}
)

SET_TARGET_PROPERTIES(demo
  PROPERTIES
    VERSION ${VERSION_SERIES}.${VERSION_MAJOR}.${VERSION_MINOR}
	SOVERSION ${FTGL_SOVERSION}
   DEBUG_POSTFIX "d"
)

=== debian/changelog ===
ftgl (2.4.0-6) unstable; urgency=medium

  * Adopt game library inside Games Team (Closes: #1011563)
  * Disable PDF generation again, see #1114467
  * Add debian/clean (Closes: #1044185)
  * Add debian/salsa-ci.yml
  * Switch to debhelper-compat 13
  * Update standards version to 4.7.2, no changes needed.

  [ Manuel A. Fernandez Montecelo ]
  * d/copyright_hints: adapt to latest changes upstream

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields

 -- Alexandre Detiste <tchet@debian.org>  Thu, 23 Oct 2025 11:39:01 +0200

ftgl (2.4.0-5) unstable; urgency=medium

  * Source only upload for migration to testing.

 -- Ognyan Kulev <ogi@debian.org>  Sat, 26 Oct 2024 07:22:09 +0200

ftgl (2.4.0-4) unstable; urgency=medium

  * Fix FTBFS by applying https://github.com/frankheckenbach/ftgl/pull/20 as
    suggested by Mattias Ellert <mattias.ellert@physics.uu.se>.
    (Closes: #1081861)

 -- Ognyan Kulev <ogi@debian.org>  Sat, 19 Oct 2024 20:40:45 +0200

ftgl (2.4.0-2) unstable; urgency=medium

  * Install ftgl.pdf file again, the external problem generating PDF file
    was fixed (#921779)
  * d/patches:
    - drop disable-pdf.patch
  * Bump SHLIBVER to 2.4.0, there are new methods/functions in the
    interface compared to older releases

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 26 Feb 2019 16:52:23 +0100

ftgl (2.4.0-1) unstable; urgency=medium

  * New upstream release.
    - Fixes problem with some applications's rendering of fonts by
      reverting to old behaviour by default, but it will be revisited in
      next upstream major releases (Closes: #914153)
  * d/watch: Update pattern, some versions don't start with 'v' in the
    tags of this repo
  * d/patches:
    - drop substitute-freetype-config.patch, applied upstream
    - drop enable-docs.patch, applied upstream
    - drop fix-pdf-generation, applied upstream
    - drop patch-relibtoolize-prep.diff, applied upstream
    - add disable-pdf.patch, problem generating PDF file
    - add fix-doc-projects-eman2.patch, fix duplicated entry in doc
  * Do not install ftgl.pdf file, it cannot be generated at the moment and
    probably it's not very useful (HTML doc is still shipped)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Fri, 08 Feb 2019 02:25:02 +0100

ftgl (2.3.0-3) unstable; urgency=medium

  [ IOhannes m zmölnig ]
  * Copyright improvements:
    - d/copyright: convert to standard format 1.0
    - d/rules: add "licensecheck" target
    - d/copyright_hints: helper to generate copyright file
  * d/patches:
    - document (add headers) to patches enable-docs.patch and
      substitute-freetype-config.patch

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Mon, 19 Nov 2018 00:26:46 +0100

ftgl (2.3.0-2) unstable; urgency=medium

  * Release to unstable
  * d/watch: Update for new upstream location
  * d/control: Update Homepage URL

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 18 Nov 2018 23:48:43 +0100

ftgl (2.3.0-1) experimental; urgency=medium

  * New upstream release
    - Closes: #531489, #589601, #742469, #760571
    - drop patch patch-ftglgetlayoutbbox-typo.diff, applied upstream
    - edit patch fix-pdf-generation to not include Makefile.in, which does
      not exist in this new release, and Makefile.am which changed slightly
    - refresh patch patch-relibtoolize-prep.diff
    - add enable-docs.patch to build docs by default
  * Add substitute-freetype-config.patch for new versions of freetype
    which do not ship freetype-config (Closes: #887712)
  * Add Build-Depends on pkg-config

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 20 Oct 2018 15:54:55 +0200

ftgl (2.1.3~rc5-5) unstable; urgency=medium

  * Add myself to Uploaders
  * Bump Policy Standards-Version to 4.2.1
  * Update Vcs-* URLs
  * Add Homepage field
  * Drop Conflicts/Replaces on ancient versions of ftgl-dev
  * Drop unnecessary .dirs files
  * Switch to debhelper compat level v11 (from 5)
    - revamp d/rules, reducing it significantly
  * Add "Rules-Requires-Root: no"

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 30 Sep 2018 17:30:00 +0200

ftgl (2.1.3~rc5-4+nmu1.2) unstable; urgency=medium

  [ Manuel A. Fernandez Montecelo ]
  * Non-maintainer upload.
  * Drop transitional package ftgl-dev (Closes: #878529)

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_configure pass cross flags (Closes: #848949)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 29 Nov 2017 01:08:59 +0100

ftgl (2.1.3~rc5-4+nmu1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add build-arch and build-indep targets, patch by Santiago Vila (Closes:
    #821983).

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 26 Nov 2016 22:25:04 +0500

=== debian/control ===
Source: ftgl
Section: libs
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Alexandre Detiste <tchet@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 freeglut3-dev,
 libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 libfreetype-dev,
 libcppunit-dev,
 doxygen-latex,
 ghostscript,
 imagemagick,
 pkgconf,
 texlive-fonts-recommended,
Standards-Version: 4.7.2
Homepage: https://github.com/frankheckenbach/ftgl
Vcs-Git: https://salsa.debian.org/games-team/ftgl.git
Vcs-Browser: https://salsa.debian.org/games-team/ftgl

Package: libftgl-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 libftgl2 (= ${binary:Version}),
 libfreetype-dev (>> 2.0.9),
 libgl-dev,
 libglu1-mesa-dev | libglu-dev,
Description: development files for libftgl
 FTGL binds OpenGL and FreeType together in order to offer and easy to use
 and flexible text rendering library.  It offers several rendering modes:
 as polygons, outlines, bitmaps and textures.
 .
 This package contains the header files and static libraries needed to
 compile applications or shared objects that use libftgl.

Package: libftgl2
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends}
Description: library to render text in OpenGL using FreeType
 FTGL binds OpenGL and FreeType together in order to offer and easy to use
 and flexible text rendering library.  It offers several rendering modes:
 as polygons, outlines, bitmaps and textures.
 .
 This package contains the shared library for libftgl.

=== debian/rules ===
#!/usr/bin/make -f

# Passing hardcoded GLUT_LIBS necessary to link demo programs and tests.  GLUT
# doesn't have pkg-config files or other simple mechanisms.
GLUT_LIBS := -lglut -lGLU -lGL -lm

SHLIBVER := 2.4.0
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
        ^(\./\.git/.*|\./debian/.*|\./\.pc/.*|\./test/font_pack/(El_Abogado_Loco\.ttf|timR12-ISO8859-1\.pcf\.gz)|\./docs/images/.*\.png|\./docs/FTGL_1_3\.gif)$


%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- GLUT_LIBS="$(GLUT_LIBS)"

override_dh_makeshlibs:
	dh_makeshlibs -p libftgl2 -V "libftgl2 (>= $(SHLIBVER))"

licensecheck:
	licensecheck -i "$(DEB_COPYRIGHT_CHECK_IGNORE_REGEX)" --deb-machine -r . \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/watch ===
Version: 5

Template: GitHub
Owner: frankheckenbach
Project: ftgl
